package com.ibm.tools.attach;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 2009, 2010  All Rights Reserved
 */
/**
 * thrown when a JVMTI agent cannot be loaded by the target VM
 */
public class AgentLoadException extends Exception {

	/**
	 *
	 */
	private static final long serialVersionUID = 4916618268741059750L;

	/**
	 * create exception with default message
	 */
	public AgentLoadException() {
		super("AgentLoadException"); //$NON-NLS-1$
	}

	/**
	 * @param message
	 *            details of exception
	 */
	public AgentLoadException(String message) {
		super(message);
	}
}
